#!/bin/sh
#	install bluez on the raspberry pi


if [ "$1" = "" ]; then
  VERSION=5.43
else
  VERSION=$1
fi

if [ -f "bluez-$VERSION" ];  then
  echo "bluez-$VERSION already downloaded"
else
  echo "---------------- downloading bluez-$VERSION ------------------"
  wget http://www.kernel.org/pub/linux/bluetooth/bluez-$VERSION.tar.xz
  echo "---------------- unpacking bluez-$VERSION ------------------"
  tar xvf bluez-$VERSION.tar.xz
fi

echo "---------------- installing build dependencies ------------------"
sudo apt-get update
sudo apt-get install -y libusb-dev libdbus-1-dev libglib2.0-dev libudev-dev libical-dev libreadline-dev


echo "---------------- configuring bluez-$VERSION ------------------"
cd bluez-$VERSION
./configure
echo "---------------- Building bluez-$VERSION ------------------"
make
echo "---------------- Installing bluez-$VERSION ------------------"
sudo make install

echo "---------------- starting bluez service ------------------"
systemctl status bluetooth
sudo systemctl stop bluetooth
sudo systemctl enable bluetooth
sudo systemctl daemon-reload
sudo systemctl restart bluetooth
systemctl status bluetooth

